Bug 210334 - remove remnants of old JavaScript debugger from 7.2 build
remove remnants of old JavaScript debugger from 7.2 build
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: -- Other --
7.2
All All
: P2 (vote)
: 7.2
Assigned To: David Konecny
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 03:14 UTC by David Konecny
Modified: 2012-04-02 15:56 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
:


Attachments
patch with proposed changes (44.86 KB, patch)
2012-03-29 03:16 UTC, David Konecny
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2012-03-29 03:14:56 UTC
I noticed that some modules still depend on old JavaScript debugger support ( eg. web.project, php.project and grails) and two modules (web.client.javascript.debugger.ant, web.client.tools.api) are still part of the build. I would like to eliminate it and once that's done perhaps even move these modules physically outside of main repository as their value is very small and if something their usage could cause a mental harm.
Comment 1 David Konecny 2012-03-29 03:16:10 UTC
Created attachment 117442 [details]
patch with proposed changes
Comment 2 David Konecny 2012-03-29 03:34:23 UTC
Could you please guys have a look at the patch if I'm not committing a mistake? I'm moving two modules (web.client.javascript.debugger.ant, web.client.tools.api) from daily build to experimental cluster and I'm also removing all dependencies on these modules from web.project, php.project and groovy.grailsproject.

Jesse, is there something else what needs to be done? Like .... increase a module version so that there are no problems with AutoUpdate? I would like to also move these modules from main repo to main/contrib. Do you use any tools to do that? I do not think that history is very important so I would go for remove/add. The modules I'm thinking about moving are:

web.client.javascript.debugger.ant
web.client.tools.api
web.client.tools.common
web.client.tools.firefox
web.client.tools.firefox.extension
web.client.tools.impl
web.client.tools.internetexplorer
web.client.tools.kit
javascript.libraries
javascript.libraries.jquery
javascript.libraries.prototype
javascript.libraries.scriptaculous

Looking at our current modules there also also some remnants of Zembly which should go to main/contrib as well:
wag.codegen
wag.codegen.j2ee
wag.codegen.java
wag.codegen.php
wag.kit
wag.manager
Comment 3 Petr Jiricka 2012-03-29 08:23:13 UTC
I am not sure if the old JS debugger still works or not. Currently it's on the Dev UC, not sure if there are people who use it. My question is - if you remove the dependencies from web.project, php.project and groovy.grailsproject, will it still work? If not, then it should just be deleted rather than moved. 

Overall, if we are going to have a new JavaScript debugger in trunk after 7.2, do we need the sources of the old one in contrib? My preference would be to just delete all this functionality (old JS debugger, old JS libraries and Zembly), but do so after the 7.2 release, so we are sure we don't disrupt any random users which may be using the old JS debugger right now for 7.2. What do you think?
Comment 4 Martin Janicek 2012-03-29 14:05:54 UTC
Changes in the groovy.grailsproject module are fine for me
Comment 5 Jesse Glick 2012-03-29 17:56:19 UTC
Agreed with Petr that if it is not still functional there is no reason to keep around sources - just delete them. Same for Zembly-related functionality; the site is dead so I see no purpose in retaining trunk sources that cannot work. main/contrib is a place to host experimental plugins that do not need synchronized versioning with the rest of the IDE; it is not just a trash heap.

If you ever do need to move sources to a different repo, there is a how-to [1] on that.

As far as AU is concerned, there is no way to "push a delete" of a module to a user. If they get new web.project and still have old web.client.tools.api, they will just have that old module sitting around, disabled if it is an autoload.

[1] http://wiki.netbeans.org/HgHowTos#Transfer_a_module.27s_history_to_another_repository
Comment 6 David Konecny 2012-03-29 20:31:25 UTC
I like idea of just deleting it. I noticed some other javascript library projects in contrib so I would have to delete these as well as they have dependency on org.netbeans.modules.javascript.libraries.

Petr, you are saying to wait with this after 7.2. I thought that even if we do not have JavaScript debugger after 7.2 these modules are dead and should be just deleted. You would have to use FireFox version <3 to run the debugger. I think it is safe to just delete them now.
Comment 7 Petr Jiricka 2012-03-29 20:47:47 UTC
Ok, I didn't know for sure if they are dead. If you are saying you are sure they are dead, then I agree we can delete them now.
Comment 8 David Konecny 2012-03-30 00:46:12 UTC
It was removed from daily build and moved to AU in 2009. Since then there was not a single commit to web.client.* modules which would improve code base (ignoring module version increases, global refactorings, results of API changes, etc.). And looking at the source of FireFox plugin it requires version of FF to be 1.5 to 3.*. When I tried it with 3.6 it has not worked properly and I had to download some 2.x FF version. That's enough indication to me that it is dead. If there is somebody who is using it then they better stick with NetBeans 7.1.x
Comment 9 David Konecny 2012-04-02 00:17:44 UTC
comparing with https://dkonecny:***@hg.netbeans.org/web-main/
searching for changes
changeset:   218051:106cf094a505
user:        David Konecny <dkonecny@netbeans.org>
date:        Fri Mar 30 13:54:31 2012 +1300
summary:     #210334 - remove remnants of old JavaScript debugger from 7.2 build

changeset:   218052:2b859d181e20
user:        David Konecny <dkonecny@netbeans.org>
date:        Fri Mar 30 14:05:14 2012 +1300
summary:     #210334 - remove remnants of old JavaScript debugger completely from main repo

changeset:   218053:2bd0135a9fa6
user:        David Konecny <dkonecny@netbeans.org>
date:        Fri Mar 30 14:15:35 2012 +1300
summary:     #210334 - while deleting old JS module I'm removing also old Zembly stuff; the Zembly site does not exist anymore

changeset:   218443:b26462478b1f
tag:         tip
user:        David Konecny <dkonecny@netbeans.org>
date:        Mon Apr 02 12:16:07 2012 +1200
summary:     #210334 - remove deleted modules from experimental cluster


comparing with http://hg.netbeans.org/main/contrib
searching for changes
changeset:   17810:5642f534ba8e
tag:         tip
user:        David Konecny <dkonecny@netbeans.org>
date:        Mon Apr 02 11:59:28 2012 +1200
summary:     #210334 - remove remnants of old JavaScript debugger from 7.2 build; cleaning up also contrib modules which depend on removed trunk code
Comment 10 Quality Engineering 2012-04-02 15:56:54 UTC
Integrated into 'main-golden', will be available in build *201204021038* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/106cf094a505
User: David Konecny <dkonecny@netbeans.org>
Log: #210334 - remove remnants of old JavaScript debugger from 7.2 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo